## python-oslo.middleware 6.2.0

=== requirements.txt ===
pbr>=2.0.0 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.8.0 # MIT
debtcollector>=1.2.0 # Apache-2.0
statsd>=3.2.1 # MIT
bcrypt>=3.1.3 # Apache-2.0

=== debian/changelog ===
python-oslo.middleware (6.2.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090574).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:37:49 +0100

python-oslo.middleware (6.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:55:13 +0200

python-oslo.middleware (6.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 17:08:37 +0200

python-oslo.middleware (6.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:38:35 +0200

python-oslo.middleware (6.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 22:26:20 +0100

python-oslo.middleware (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 13:39:44 +0200

## python-oslo.middleware 6.3.1

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 pbr>=2.0.0 # Apache-2.0
 Jinja2>=2.10 # BSD License (3 clause)
 oslo.config>=5.2.0 # Apache-2.0

=== doc/requirements.txt ===
# These are needed for docs generation
openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0 # BSD
reno>=3.1.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.middleware (6.3.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:26:44 +0100

python-oslo.middleware (6.3.1-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 15:41:01 +0100

python-oslo.middleware (6.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 17:15:36 +0100

=== debian/control ===
Source: python-oslo.middleware
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-bcrypt,
 python3-coverage,
 python3-debtcollector,
 python3-fixtures,
 python3-hacking,
 python3-jinja2,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-statsd,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testtools,
 python3-webob,
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.middleware
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.middleware.git
Homepage: https://github.com/openstack/oslo.middleware

Package: python-oslo.middleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: various WSGI middleware components for OpenStack - doc
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the documentation.

Package: python3-oslo.middleware
Architecture: all
Depends:
 python3-bcrypt,
 python3-debtcollector,
 python3-jinja2,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-statsd,
 python3-stevedore,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.middleware-doc,
Description: various WSGI middleware components for OpenStack - Python 3.x
 The oslo.middleware library contains various functions and methods used by
 the OpenStack projects that are using the WSGI pipeline.
 .
 This package contains the Python 3.x module.

## python-oslo.middleware 6.6.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

bcrypt>=3.1.3 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pbr>=2.0.0 # Apache-2.0
statsd>=3.2.1 # MIT
stevedore>=1.20.0 # Apache-2.0
typing-extensions>=4.11.0 # PSF-2.0
WebOb>=1.8.0 # MIT

=== debian/changelog ===
python-oslo.middleware (6.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:13:49 +0200

python-oslo.middleware (6.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-typing-extensions to (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 16:50:44 +0200

=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
  python3-stevedore,
  python3-subunit,
  python3-testtools,
+ python3-typing-extensions,
  python3-webob,
  subunit,
  testrepository,
@@ -64,6 +65,7 @@
  python3-pbr,
  python3-statsd,
  python3-stevedore,
+ python3-typing-extensions,
  python3-webob,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.middleware.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build *.egg-info
	find . -type d -name __pycache__ -exec rm -r {} \+

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.middleware-doc/usr/share/doc/python-oslo.middleware-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.middleware refs/tags/(\d[brc\d\.]+)

## python-oslo.middleware 7.0.0

=== debian/changelog ===
python-oslo.middleware (7.0.0-0ubuntu2) resolute; urgency=medium

  * d/tests/python-import: Replace setup.py reference (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Wed, 28 Jan 2026 13:55:29 -0800

python-oslo.middleware (7.0.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 7.0.0
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * d/patches/*: refresh patches
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 16 Jan 2026 17:32:48 -0800

python-oslo.middleware (6.6.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Add Flamingo key verification.
  * d/p/remove-privacy-breach-in-README.rst.patch: Refresh.
  * d/control: Align (Build-)Depends with upstream. 

 -- Myles Penner <myles.penner@canonical.com>  Wed, 16 Jul 2025 14:15:51 -0700

python-oslo.middleware (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:52:02 +0000

python-oslo.middleware (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Feb 2025 10:46:12 +0000

python-oslo.middleware (6.2.0-0ubuntu2) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * d/control: Drop surplus dependencies.

 -- James Page <james.page@ubuntu.com>  Thu, 23 Jan 2025 10:27:28 +0000

python-oslo.middleware (6.2.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 14:16:40 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.middleware/ oslo[._]middleware-(\d.*)\.tar\.gz

## python-oslo.middleware 8.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # you find any incorrect lower bounds, let us know or propose a fix.
 
 bcrypt>=3.1.3 # Apache-2.0
-debtcollector>=1.2.0 # Apache-2.0
 Jinja2>=2.10 # BSD License (3 clause)
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
@@ -11,6 +10,6 @@
 oslo.utils>=3.33.0 # Apache-2.0
 pbr>=2.0.0 # Apache-2.0
 statsd>=3.2.1 # MIT
-stevedore>=1.20.0 # Apache-2.0
+stevedore>=5.6.0 # Apache-2.0
 typing-extensions>=4.11.0 # PSF-2.0
 WebOb>=1.8.0 # MIT

=== debian/changelog ===
python-oslo.middleware (8.0.0-2) experimental; urgency=medium

  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 10:28:47 +0100

python-oslo.middleware (8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 08:35:45 +0100

python-oslo.middleware (6.6.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046082).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 13:44:40 +0100
